<template>
  <div>
    <!-- Desktop -->
    <div class="gt-md mainWidth">
      <top-bar />
      <div class="content-pc">
        <div class="q-px-md">
          คำค้นหา: {{ txtSearch }} ({{
            this.dataCount == 0 ? "ไม่พบรายการ" : this.dataCount + " รายการ"
          }})
        </div>
        <div v-show="dataCount == 0" class="noDataDivPC">
          <div class="noDataDiv" align="center">
            <img
              src="../../public/image/exclaim.svg"
              style="width: 150px"
              alt=""
            />
            <div class="text-h6">ไม่พบข้อมูล</div>
            <div>กรุณาใช้คำค้นหาใหม่</div>
          </div>
        </div>
        <div class="row q-pt-lg showResultPC" v-show="dataCount > 0">
          <div style="width: 20%" v-for="(item, index) in data" :key="index">
            <book-cover :bookData="data[index]" />
          </div>
        </div>

        <div class="q-pb-md">
          <ads-show />
        </div>
      </div>
    </div>

    <!-- tablet -->
    <div class="lt-lg gt-xs mainWidth">
      <top-bar />
      <div class="content-pc">
        <div class="q-px-md">
          คำค้นหา: {{ txtSearch }} ({{
            this.dataCount == 0 ? "ไม่พบรายการ" : this.dataCount + " รายการ"
          }})
        </div>
        <div v-show="dataCount == 0" class="noDataDiv show-Result-t">
          <div class="noDataDiv" align="center">
            <img
              src="../../public/image/exclaim.svg"
              style="width: 150px"
              alt=""
            />
            <div class="text-h6">ไม่พบข้อมูล</div>
            <div>กรุณาใช้คำค้นหาใหม่</div>
          </div>
        </div>
        <div class="row q-pt-lg show-Result-t" v-show="dataCount > 0">
          <div style="width: 25%" v-for="(item, index) in data" :key="index">
            <book-cover :bookData="data[index]" />
          </div>
        </div>

        <div>
          <ads-show />
        </div>
      </div>
    </div>

    <!-- mobile -->
    <div class="lt-sm mainWidth">
      <top-bar />
      <div class="content-pc">
        <div class="q-px-md">
          คำค้นหา: {{ txtSearch }} ({{
            this.dataCount == 0 ? "ไม่พบรายการ" : this.dataCount + " รายการ"
          }})
        </div>
        <div v-show="dataCount == 0" class="noDataDiv">
          <div class="noDataDiv" align="center">
            <img
              src="../../public/image/exclaim.svg"
              style="width: 150px"
              alt=""
            />
            <div class="text-h6">ไม่พบข้อมูล</div>
            <div>กรุณาใช้คำค้นหาใหม่</div>
          </div>
        </div>
        <div class="row q-pt-sm" v-show="dataCount > 0">
          <div style="width: 50%" v-for="(item, index) in data" :key="index">
            <book-cover :bookData="data[index]" />
          </div>
        </div>

        <div class="q-pb-md">
          <ads-show />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import topBar from "../components/topbar.vue";
import adsShow from "../components/ads.vue";
import bookCover from "../components/bookcover.vue";

export default {
  components: {
    topBar,
    adsShow,
    bookCover,
  },
  data() {
    return {
      txtSearch: this.$route.params.searchtxt,
      data: [],
      dataCount: 0,
    };
  },
  methods: {
    async searchBtn() {
      let dataSend = {
        searchtxt: this.txtSearch,
      };
      let url = this.serverpath + "search.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
      this.data = res.data;
      this.dataCount = this.data.length;
    },
  },
  watch: {
    "$route.params.searchtxt": {
      handler: function (search) {
        this.txtSearch = search;
        this.searchBtn();
      },
      deep: true,
      immediate: true,
    },
  },
  mounted() {
    this.searchBtn();
  },
};
</script>

<style lang="scss" scoped>
.content-pc {
  padding-top: 70px;
}
.noDataDiv {
  height: 500px;
  padding-top: 70px;
  text-align: center;
}
.noDataDivPC {
  height: calc(100vh - 400px);
  padding-top: 70px;
  text-align: center;
}
.showResultPC {
  min-height: calc(100vh - 400px);
}
.show-Result-t {
  min-height: calc(100vh - 265px);
}
</style>
